#include <stdio.h>
#include <strings.h>
#include <forms.h>
#include "play.h"
#include "playlist.h"
#include "main_panel.h"
#include "mikmod.h"

void load_defaults(play_parameters * p)
{
	p->flags = PF_STEREO | PF_16BITS | PF_INTERPOLATION;
	p->frequency = FREQUENCY;
	strcpy(p->mixer_path, MIXER_PATH);
	strcpy(p->playlist_dir, PLAYLIST_DIR);
	strcpy(p->module_dir, MODULE_DIR);
}

void copy_parameters(play_parameters * dest, play_parameters * src)
{
	dest->flags = src->flags;
	dest->frequency = src->frequency;
	strcpy(dest->mixer_path, src->mixer_path);
	strcpy(dest->playlist_dir, src->playlist_dir);
	strcpy(dest->module_dir, src->module_dir);
}

int save_parameters(play_parameters * p, char * filename)
{
	FILE * f;
	
	if ( (f = fopen(filename, "wb")) == NULL )
	{
		printf("Cannot open configuration file %s\n",filename);
		return 1;
	}
	fwrite(p, sizeof(play_parameters), 1, f);
	fclose(f);
	return 0;
}

int load_parameters(play_parameters * p, char * filename)
{
	FILE * f;

	if ( (f = fopen(filename, "rb")) == NULL ) return 1;
	fread(p, sizeof(play_parameters), 1, f);
	fclose(f);
	return 0;
}

int load_list(char * filename)
{
	FILE	*f;
	char	buf[256];
	
	if ( (f = fopen(filename, "r")) == NULL )
	{
		printf("Cannot open playlist file %s\n", filename);
		return 1;
	}else
		do
		{
			fscanf(f, "%s", buf);
			fl_addto_browser(list->list_browser, buf);
		} while ( !feof(f) );
	fl_delete_browser_line(list->list_browser, fl_get_browser_maxline(list->list_browser));
	fclose(f);
	return 0;
}
	