#ifndef PLAY_HEADER
#define	PLAY_HEADER

#include "mikmod.h"

#define	PF_STEREO		0x0001
#define	PF_16BITS		0x0002
#define	PF_INTERPOLATION	0x0004
#define PF_PLAY			0x0008

/* Default settings */
/* you should modify these to suit your needs */

#define	FREQUENCY		44100
#define	FLAGS			PF_STEREO | PF_16BITS | PF_INTERPOLATION
#define	MIXER_PATH		"/soundapps/bin/Xmix"
#define	PLAYLIST_DIR		"/soundapps/Playlists/"
#define	MODULE_DIR		"/soundapps/Modules/"

typedef struct
{
	int	flags;
	int	frequency;
	char	mixer_path[256];
	char	playlist_dir[256];
	char	module_dir[256];
} play_parameters;

play_parameters	* config;
char		config_file[256];

void load_defaults(play_parameters * p);
void copy_parameters(play_parameters * dest, play_parameters * src);
int save_parameters(play_parameters * p, char * filename);
int load_parameters(play_parameters * p, char * filename);
int load_list(char * filename);

#endif